Bug 1666415 (CVE-2018-14718) - CVE-2018-14718 jackson-databind: arbitrary code execution in slf4j-ext class
Summary: CVE-2018-14718 jackson-databind: arbitrary code execution in slf4j-ext class
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14718
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1700934 1666416 1672879 1672880 1672881 1700935 1700962 1700963 1703265 1730588 1731780 1731787 1731789 1731790 1731792 1732286 1732291 1732539
Blocks: 1666431
TreeView+ depends on / blocked
 
Reported: 2019-01-15 18:40 UTC by Laura Pardo
Modified: 2019-10-18 19:52 UTC (History)
71 users (show)

Fixed In Version: jackson-databind 2.9.7, jackson-databind 2.7.9.5, jackson-databind 2.8.11.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:45:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0782 None None None 2019-04-17 21:01:02 UTC
Red Hat Product Errata RHSA-2019:0877 None None None 2019-04-24 18:46:57 UTC
Red Hat Product Errata RHSA-2019:1782 None None None 2019-07-15 19:18:43 UTC
Red Hat Product Errata RHSA-2019:1797 None None None 2019-07-16 16:21:49 UTC
Red Hat Product Errata RHSA-2019:1822 None None None 2019-07-22 14:53:55 UTC
Red Hat Product Errata RHSA-2019:1823 None None None 2019-07-22 14:53:27 UTC
Red Hat Product Errata RHSA-2019:2804 None None None 2019-09-17 13:45:38 UTC
Red Hat Product Errata RHSA-2019:2858 None None None 2019-09-27 00:13:57 UTC
Red Hat Product Errata RHSA-2019:3002 None None None 2019-10-10 12:49:43 UTC
Red Hat Product Errata RHSA-2019:3140 None None None 2019-10-17 14:54:53 UTC
Red Hat Product Errata RHSA-2019:3149 None None None 2019-10-18 19:52:42 UTC

Description Laura Pardo 2019-01-15 18:40:40 UTC
FasterXML jackson-databind 2.x before 2.9.7 might allow remote attackers to execute arbitrary code by leveraging failure to block the slf4j-ext class from polymorphic deserialization.


References:
https://github.com/FasterXML/jackson-databind/issues/2097
https://github.com/FasterXML/jackson/wiki/Jackson-Release-2.9.7

Upstream Patch:
https://github.com/FasterXML/jackson-databind/commit/87d29af25e82a249ea15858e2d4ecbf64091db44

Comment 1 Laura Pardo 2019-01-15 18:40:51 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1666416]

Comment 10 Doran Moppert 2019-02-08 05:30:37 UTC
Statement:

This vulnerability in jackson-databind involves exploiting CVE-2018-1088 against slf4j, which was fixed in Red Hat products through the errata referenced at https://access.redhat.com/security/cve/cve-2018-8088. Applications that link only slf4j versions including that fix are not vulnerable to this vulnerability.

Red Hat Satellite 6 is not affected by this issue, since its candlepin component doesn't bundle slf4j-ext jar.

Comment 11 James Hebden 2019-02-14 05:18:02 UTC
Even though slf4j in part of OpenDaylight-parent aggregator, the versions included are not vulnerable versions, and specifically the slf4j-ext library is not in use.

Comment 23 errata-xmlrpc 2019-04-17 21:00:59 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0782 https://access.redhat.com/errata/RHSA-2019:0782

Comment 24 errata-xmlrpc 2019-04-24 18:46:54 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 28 Chess Hazlett 2019-07-02 21:46:03 UTC
adjusting amq-6 to notaffected per discussion in https://engineering.redhat.com/rt/Ticket/Display.html?id=487598

Comment 29 errata-xmlrpc 2019-07-15 19:18:41 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.4.12

Via RHSA-2019:1782 https://access.redhat.com/errata/RHSA-2019:1782

Comment 30 errata-xmlrpc 2019-07-16 16:21:47 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1797 https://access.redhat.com/errata/RHSA-2019:1797

Comment 37 errata-xmlrpc 2019-07-22 14:53:25 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 38 errata-xmlrpc 2019-07-22 14:53:52 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 41 errata-xmlrpc 2019-09-17 13:45:34 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2019:2804 https://access.redhat.com/errata/RHSA-2019:2804

Comment 44 errata-xmlrpc 2019-09-27 00:13:54 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2858 https://access.redhat.com/errata/RHSA-2019:2858

Comment 45 errata-xmlrpc 2019-10-10 12:49:41 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R13

Via RHSA-2019:3002 https://access.redhat.com/errata/RHSA-2019:3002

Comment 46 errata-xmlrpc 2019-10-17 14:54:50 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.4.8

Via RHSA-2019:3140 https://access.redhat.com/errata/RHSA-2019:3140

Comment 47 errata-xmlrpc 2019-10-18 19:52:39 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3149 https://access.redhat.com/errata/RHSA-2019:3149


Note You need to log in before you can comment on or make changes to this bug.